Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
FSDK.FontMapResult Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (file_read, face_index)
| Constructor, with parameters. More...
| Set (file_read, face_index)
| Set value. More...

## Public Attributes
| face_index
| Face index. This is a zero-based index value: More...
| file_read
| A FSDK.FileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font.If this is null, that means no mapped font.

## Detailed Description

This class represents font mappping result returned by callback function FSDK.FontMapperCallback.MapFont.

## Member Function Documentation

## ◆ constructor()

FSDK.FontMapResult.constructor | ( | file_read | ,
|  | face_index |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | file_read | A FSDK.FileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font. If this is null, that means no mapped font.
  [in] | face_index | A zero-based index value: If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face. If the mapped font (represented by file_read) is not a collection, the index value shall be zero. -1 means no mapped font.

## ◆ Set()

FSDK.FontMapResult.Set | ( | file_read | ,
|  | face_index |
| ) |  |

Set value.

Parameters

  [in] | file_read | A FSDK.FileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font. If this is null, that means no mapped font.
  [in] | face_index | A zero-based index value: If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face. If the mapped font (represented by file_read) is not a collection, the index value shall be zero. -1 means no mapped font.

## Member Data Documentation

## ◆ face_index

FSDK.FontMapResult.face_index

Face index. This is a zero-based index value:

- If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face.
- If the mapped font (represented by file_read) is not a collection, the index value shall be zero.

-1 means no mapped font.